Subject: Re: Sorry to bother about Rebase
From: Jason Tishler <[email-masked]>
To: Edward Gomez <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Thu, 8 Sep 2005 07:48:29 -0400

Edward,

See the following:

    http://cygwin.com/acronyms#PPIOSPE

On Wed, Sep 07, 2005 at 10:40:10PM -0700, Edward Gomez wrote:
> I'm sorry to bother you at your personal email address but I have been
> working for two days trying to get XEmacs for Windows  to use the
> Cygwin bash shell and utililities which I have installed on XP Home.
> I have inserted some code that I found on the web into my custom.el
> file and I get a bash shell but when I try to issue commands it gives
> me the following:
> 
> ---------------------------------------------------------------------
> bash-3.00$ ls
>      4 [unknown (0xCB4)] bash 3572 fork_copy: linked dll data/bss pass 0 
> failed, 0x15BD000..0x15BD020, done 0, windows pid 3240, Win32 error 487
> bash: fork: Resource temporarily unavailable
> bash-3.00$
> ---------------------------------------------------------------------
> 
> A google search produced a brief message of a person who said he got
> the same message and solved it with your utility.  I am inexperienced
> at unix/linux etc. and was unable to understand the readme file.
> Desperate, I just ran the rebaseall program from the unix prompt in
> Cygwin and got this message which you wrote:
> 
> ----------------------------------------------------------------------
> $ rebaseall
> rebaseall: only ash processes are allowed during rebasing
>    Exit all Cygwin processes and stop all Cygwin services.
>    Execute ash from Start/Run... or a cmd or command window.
>    Execute '/bin/rebaseall' from ash.
> ----------------------------------------------------------------------
> 
> If you could please let me know if:
> 1.  Do you think rebaseall will solve my problem?

Sorry, but I don't know.

> 2.  Can this damage my whole system or just Cygwin?

AFAICT, neither.

> 3.  What is ash

See the following:

    http://www.google.com/search?hl=en&lr=&q=ash+shell

> and how do I execute '/bin/rebaseall from ash?

Use the following procedure:

    1. Stop all Cygwin processes (if necessary)
    2. Start cmd (from start/Run...)
    3. Start ash (from cmd):
    
       C:\cygwin\bin\ash

    4. Execute rebaseall (from ash):

       /bin/rebaseall

Note step 3 assumes you installed Cygwin in C:\cygwin -- adjust this
path if necessary.

> Sorry, but I can't find help on this anywhere and I really want XEmacs
> to go to the Cygwin shell and not the DOS shell.

BTW, why not use the Cygwin XEmacs instead of the Windows one?

> Thank you for any input!

You are welcome.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/